package com.caliverse.admin.dynamodb.domain.doc;

import com.caliverse.admin.dynamodb.domain.atrrib.LandAuctionActivityAttrib;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbAttribute;
import software.amazon.awssdk.enhanced.dynamodb.mapper.annotations.DynamoDbBean;

@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@DynamoDbBean
public class LandAuctionActivityDoc extends DynamoDBDocBase {
    private LandAuctionActivityAttrib landAuctionActivityAttrib;

    public String getAttribFieldName() {
        return "LandAuctionActivityAttrib";
    }

    @DynamoDbAttribute("LandAuctionActivityAttrib")
    public LandAuctionActivityAttrib getAttribValue() {
        return landAuctionActivityAttrib;
    }

    public void setAttribValue(LandAuctionActivityAttrib value) {
        this.landAuctionActivityAttrib = value;
    }
}

